//                                               -*- C++ -*-
/**
 *  @brief The external header file of OpenTURNS for subdir Simulation
 *
 *  Copyright 2005-2017 Airbus-EDF-IMACS-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef OPENTURNS_OTSIMULATION_HXX
#define OPENTURNS_OTSIMULATION_HXX

#include "openturns/DirectionalSampling.hxx"
#include "openturns/RootStrategy.hxx"
#include "openturns/RootStrategyImplementation.hxx"
#include "openturns/RiskyAndFast.hxx"
#include "openturns/MediumSafe.hxx"
#include "openturns/SafeAndSlow.hxx"
#include "openturns/SamplingStrategy.hxx"
#include "openturns/SamplingStrategyImplementation.hxx"
#include "openturns/RandomDirection.hxx"
#include "openturns/OrthogonalDirection.hxx"
#include "openturns/ImportanceSampling.hxx"
#include "openturns/LHS.hxx"
#include "openturns/RandomizedLHS.hxx"
#include "openturns/MonteCarlo.hxx"
#include "openturns/PostAnalyticalControlledImportanceSampling.hxx"
#include "openturns/PostAnalyticalImportanceSampling.hxx"
#include "openturns/PostAnalyticalSimulation.hxx"
#include "openturns/QuasiMonteCarlo.hxx"
#include "openturns/RandomizedQuasiMonteCarlo.hxx"
#include "openturns/QuasiMonteCarloResult.hxx"
#include "openturns/Simulation.hxx"
#include "openturns/SimulationResult.hxx"
#include "openturns/SimulationResultImplementation.hxx"
#include "openturns/SimulationSensitivityAnalysis.hxx"
#include "openturns/Wilks.hxx"
#include "openturns/SubsetSamplingResult.hxx"
#include "openturns/SubsetSampling.hxx"
#include "openturns/QuadrantSampling.hxx"
#include "openturns/AdaptiveDirectionalSampling.hxx"

#endif /* OPENTURNS_OTSIMULATION_HXX */
