%feature("docstring") OT::AggregatedFunction
"Aggregated function.

Available constructor:
    AggregatedFunction(*functionCollection*)

The built function stacks all the outputs from each function in the list.

Parameters
----------
functionCollection : sequence of :class:`~openturns.Function`
    Functions to aggregate.

Examples
--------
>>> import openturns as ot
>>> functions = list()
>>> functions.append(ot.SymbolicFunction(['x1', 'x2', 'x3'],
...                                        ['x1^2 + x2', 'x1 + x2 + x3']))
>>> functions.append(ot.SymbolicFunction(['x1', 'x2', 'x3'],
...                                        ['x1 + 2 * x2 + x3', 'x1 + x2 - x3']))
>>> myFunction = ot.AggregatedFunction(functions)
>>> print(myFunction([1.0, 2.0, 3.0]))
[3,6,8,0]"
