%feature("docstring") OT::XMLStorageManager
"Storage manager that drives a XML file.

Available constructors:
    XMLStorageManager(*filename*)

Parameters
----------
fileName : str
    Name of the file containing the study.

Notes
-----
*XMLStorageManager* enables to read and write OPENTURNS' objects from a XML
file.

See also
--------
StorageManager

Examples
--------
>>> import openturns as ot
>>> # Create a study:
>>> myStudy = ot.Study()
>>> myStudy.setStorageManager(ot.XMLStorageManager('myStudy.xml'))
>>> # Add an object in the study:
>>> simulationResult = ot.SimulationResult(ot.Event(), 0.5, 0.01, 150, 4)
>>> myStudy.add('simulationResult', simulationResult)
>>> # Save the Study in the file myStudy.xml:
>>> myStudy.save()"

// ---------------------------------------------------------------------

%feature("docstring") OT::XMLStorageManager::getFileName
"Get the name of the file containing the study.

Returns
-------
fileName : str
    Name of the file containing the study."

// ---------------------------------------------------------------------

%feature("docstring") OT::XMLStorageManager::setFileName
"Set the name of the file containing the study.

Parameters
----------
fileName : str
    Name of the file containing the study."